Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231062 - [LSPP] cupsd is unable to increment pam_tally2's tallylog
Summary: [LSPP] cupsd is unable to increment pam_tally2's tallylog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: RHEL5LSPPCertTracker
TreeView+ depends on / blocked
 
Reported: 2007-03-05 21:35 UTC by Matt Anderson
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version: RHBA-2007-0544
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 16:38:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0544 normal SHIPPED_LIVE selinux-policy bug fix update 2007-11-08 14:16:49 UTC

Description Matt Anderson 2007-03-05 21:35:08 UTC
Description of problem:
cupsd is not allowed to increment the faillog when a user enters a wrong password.

Version-Release number of selected component (if applicable):
selinux-policy-mls-2.4.6-37.el5

How reproducible:
Everytime

Steps to Reproduce:
1. Ensure that pam_tally2.so is required for auth in /etc/pam.d/cups
2. Use `lprm -U bob 42` to cancel a job
3. Enter a bad password when prompted for bob's password
  
Actual results:
User's account is not locked.

Expected results:
Once the maximum number of invalid attempts are met, the account needs to be locked.

Additional info:
allow cupsd_t faillog_t:file { append getattr read write };

Comment 1 Matt Anderson 2007-03-05 21:38:11 UTC
fix the summary title

Comment 2 Daniel Walsh 2007-03-06 18:22:17 UTC
Fixed in selinux-policy-2.5.6-43

Comment 7 errata-xmlrpc 2007-11-07 16:38:33 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0544.html



Note You need to log in before you can comment on or make changes to this bug.